Bug 183944 - iscsi daemon doesn't get shut down on shutdown or reboot
iscsi daemon doesn't get shut down on shutdown or reboot
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: iscsi-initiator-utils (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike Christie
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-03 18:19 EST by Guy Streeter
Modified: 2016-02-09 20:32 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:24:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Guy Streeter 2006-03-03 18:19:18 EST
Description of problem:

iscsi doesn't shut down properly because its init script doesn't fiddle with
/var/lock/subsys/iscsi


Version-Release number of selected component (if applicable):

5.0.5.476-0.1

How reproducible:

Every time.

Steps to Reproduce:
1. start the iscsi service
2. shutdownn or reboot
3.
  
Actual results:

System hangs when iscsi tries to shutdown after the network is already stopped.

Expected results:

iscsi should shut down in its correct initscripts order

Additional info:

the init script needs to touch /var/lock/subsys/iscsi during start and rm -f it
during stop.
Comment 1 Mike Christie 2006-03-06 22:46:41 EST
Are you just running with raw iscsi disks or is there a FS mounted on them too?
We might also need a script similar to the netfs one in RHEL, or I guess some
people have said it would be ok for iscsi to just do a rm of the
/etc/rc6.d/KXYnetwork and the rc0.d one. That solves all the problems (there are
some other dm-multipath and MD/DM raid ones).

Thanks for the report. I will fix that for the next update.
Comment 2 Guy Streeter 2006-03-07 10:13:40 EST
I haven't yet mounted a filesystem. How the fileystems get unmounted before
iscsi is shutdown was my next question.
Comment 3 Guy Streeter 2007-07-05 13:58:30 EDT
I'm no longer interested in using iSCSI, so I haven't checked to see if this got
fixed
Comment 4 Bug Zapper 2008-04-03 13:04:13 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 5 Bug Zapper 2008-05-06 20:24:56 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.